This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013650 - Unify use of restricted commands in service setup.
Unify use of restricted commands in service setup.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.3.0
Assigned To: Misha H. Ali
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 10:07 EDT by Petr Kremensky
Modified: 2014-08-14 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14873, Installation Guide-6.2-1 Build Date: 18-09-2013 14:19:43 Topic ID: 3758-493935 [Latest]
Last Closed: 2014-06-28 11:26:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-30 10:07:39 EDT
Title: Configure JBoss EAP 6 as a Service in Red Hat Enterprise Linux (Zip, Installer)

Describe the issue:
During the whole procedure "Procedure 3.18. Setup the Service" of starting EAP as service we are logged in as user "user", who is using sudo to perform restricted commands:
 - [user@host bin]$ sudo service jboss-as-standalone.sh start
But out-of-nowhere we are running last command as root:
 - [root@host ~]# chkconfig jboss-as-standalone.sh on

Suggestions for improvement:
We should unify these commands to use only sudo, so the last command will look like:
 - [user@host bin]$ sudo chkconfig jboss-as-standalone.sh on

Additional information:
Last command should use bold font type same as is used by other commands.
Comment 1 Petr Kremensky 2013-10-02 06:54:35 EDT
Best would be to use only:
sudo chkconfig jboss-as-standalone.sh on
as described in BZ1014557
Comment 3 Scott Mumford 2014-02-26 00:14:55 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 4 Scott Mumford 2014-02-26 00:16:17 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 5 Petr Kremensky 2014-02-26 03:04:05 EST
Verified during EAP 6.3.0.DR1 testing cycle.

Note You need to log in before you can comment on or make changes to this bug.